## NAME

i.gensig - Generates statistics for i.maxlik from raster map.

## KEYWORDS

imagery, classification, supervised classification, Maximum Likelihood Classification, MLC, signatures

## SYNOPSIS

i.gensig
i.gensig --help
i.gensig trainingmap=name group=name subgroup=name signaturefile=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

trainingmap=name [required]
  Ground truth training map
group=name [required]
  Name of input imagery group
subgroup=name [required]
  Name of input imagery subgroup
signaturefile=name [required]
  Name for output file containing result signatures

## DESCRIPTION

i.gensig is a non-interactive method for generating input into i.maxlik. It can be used as the first pass in the GRASS two-pass classification process (instead of i.cluster or g.gui.iclass). It reads a raster map layer, called the training map, which has some of the pixels or regions already classified. i.gensig will then extract spectral signatures from an image based on the classification of the pixels in the training map and make these signatures available to i.maxlik.

The user would then execute the GRASS program i.maxlik to actually create the final classified map.

This module generates signature files of type "sig". Use module i.signatures to manage generated signature files.

All raster maps used to generate signature file can have semantic label set. Use r.support to set semantic labels of each member of the imagery group. Signatures generated for one scene are suitable for classification of other scenes as long as they consist of same raster bands (semantic labels match).

## OPTIONS

### Parameters

trainingmap=name
  ground truth training map

  This map must be prepared by the user in advance using vector or raster digitizer. Of course other methods could be devised by the user for creating this training map - i.gensig makes no assumption about the origin of this map layer. It simply creates signatures for the classes defined in the training map for the image to be classified (the image is specified in other options - see below). The wxGUI vector digitizer can be used for interactively creating the training map.

group=name
  imagery group

  This is the name of the group that contains the band files which comprise the image to be analyzed. The i.group command is used to construct groups of raster layers which comprise an image.

subgroup=name
  subgroup containing image files

  This names the subgroup within the group that selects a subset of the bands to be analyzed. The i.group command is also used to prepare this subgroup. The subgroup mechanism allows the user to select a subset of all the band files that form an image.

signaturefile=name
  resultant signature file

  This is the resultant signature file (containing the means and covariance matrices) for each class in the training map that is associated with the band files in the subgroup select (see above). Resultant singature file can be used with any other imagery group as long as semantic labels match.

## NOTES

The structure of the SIG files generated by i.gensig is as follows (ASCII file, used internally by i.maxlik):
Note: the line numbers are not present in the file but have been added here for explanation only:

SIG file "lsat7_2000_gensig":

     1 1
     2 #
     3 Semantic_label1
     4 #water
     5 4186
     6 67.9508 48.7346 37.8915 15.3129 13.8473 12.0855
     7 1.74334
     8 0.439504 2.07267
     9 0.662523 1.63501 4.21189
    10 0.530339 2.40757 5.52857 22.433
    11 0.561184 2.30762 5.18846 20.5364 20.4926
    12 0.393218 1.2184 2.63628 9.61528 9.36025 5.85314

- Line 1: version number (currently always 1)
- Line 2: text label
- Line 3: Space separated list of semantic labels
- Line 4: text label of class
- Line 5: number of points in class
- Line 6: mean values per band of the class
- Line 7-12: (semi)-matrix of band-band covariance

## SEE ALSO

r.support, g.gui.iclass, i.group, i.cca, i.maxlik, i.smap, r.info, r.univar, wxGUI vector digitizer

## AUTHORS

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory
Semantic label support: Maris Nartiss, University of Latvia

## SOURCE CODE

Available at: i.gensig source code (history)

Accessed: Saturday Mar 23 01:23:31 2024

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual